## groovy.lang
Class NonEmptySequence

Represents a sequence of objects which represents one or many instances of of objects of a given type. The type can be ommitted in which case any type of object can be added.

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`NonEmptySequence()`
`NonEmptySequence(Class type)`
`NonEmptySequence(Class type, List content)`

Method Summary
`int` | `minimumSize()`

Constructor Detail

### NonEmptySequence

    public NonEmptySequence()

### NonEmptySequence

    public NonEmptySequence(Class type)

### NonEmptySequence

    public NonEmptySequence(Class type, List content)

Method Detail

### minimumSize

    public int minimumSize()